#ifndef CLIENT_H
#define CLIENT_H

#include <stdio.h>

#include <map>
#include <string>

#include "portable.h"

struct Client {
	uint8_t  id[16];
	uint32_t last_access;
	uint32_t work_count;
};

class ClientDB
{
public:
	ClientDB();
	virtual ~ClientDB();

	bool load(int fd);
	void save(int fd);

	std::string  newId();
	bool         checkId(std::string &id);
	Client      *get(std::string &id);
	
	int  countActiveClient();
	int  countAllClient();
	void printAllClient();
	int  rank(std::string &id);
	
protected:
	std::map<std::string, Client> db;
};

#endif // CLIENT_H
